
#define _C_max_3

/*
 * ----------------------------------------------------------------------------
 *
 * Fichier	: max_3.c
 * Langage	: C ANSI
 * Auteur	: F. Boyer
 * Creation	: 25 aout 1997
 * ----------------------------------------------------------------------------
 * Description	:
 *	Programme calculant le maximum de trois valeurs entieres saisies
 *      interactivement.
 * ----------------------------------------------------------------------------
 * Interventions
 * >>>>>>>>>>>>>
 * ----------------------------------------------------------------------------
 * Fonctions definies
 * Locales	: 
 * Exportees	: main.
 *
 * ----------------------------------------------------------------------------
 */

/****************************************************************************/
/*------------------- INCLUSION DES INTERFACES SYSTEMES --------------------*/
/****************************************************************************/
#include <stdio.h>

/****************************************************************************/
/*----------------- INCLUSION DES INTERFACES APPLICATIVES ------------------*/
/****************************************************************************/


/****************************************************************************/
/*------------------- CONSTANTES, MACROS & TYPES LOCAUX --------------------*/
/****************************************************************************/


/****************************************************************************/
/*------------------- SIGNATURES DES FONCTIONS LOCALES ---------------------*/
/****************************************************************************/
void aff_chaine(char * ch);
void aff_ent(long);
long lire_ent(void);
/****************************************************************************/
/*------------------- DEFINITIONS DES VARIABLES LOCALES --------------------*/
/****************************************************************************/


/****************************************************************************/
/*------------------- IMPLANTATION DES FONCTIONS LOCALES -------------------*/
/****************************************************************************/
/*
 * ----------------------------------------------------------------------------
 *
 * Fonction	: aff_chaine
 * Resultat	: void		Aucun.
 * Parametres	:
 * Nom		Type		Role
 * ch           char *          la chaine a afficher
 * Description	:
 * affiche ch a l'ecran
 * ----------------------------------------------------------------------------
 */
void aff_chaine(
	char * ch)
 	{
	printf(ch);
 	}
/*
 * ----------------------------------------------------------------------------
 *
 * Fonction	: aff_ent
 * Resultat	: void	
 * Parametres	:
 * Nom		Type		Role
 * ent          long            l'entier a afficher
 * Description	:
 * affiche ent a l'ecran
 * ----------------------------------------------------------------------------
 */
 void aff_ent(
	long ent)
{
	printf("%ld", ent);
 }
/*
 * ----------------------------------------------------------------------------
 *
 * Fonction	: lire_ent
 * Resultat	: long
 * Parametres	:
 * Nom		Type		Role
 * Description	:
 * affiche un message demandant a l'utilisateur de saisir un entier.
 * retourne l'entier saisi.
 * ----------------------------------------------------------------------------
 */
 long lire_ent(
	void)
 {
  	long ent;

	printf("Tapez un entier :");
	fflush(stdin);
	scanf("%ld", &ent);
	return(ent);
 }       

/****************************************************************************/
/*------------------ IMPLANTATION DES FONCTIONS EXPORTEES ------------------*/
/****************************************************************************/

/*
 * ----------------------------------------------------------------------------
 *
 * Fonction	: main
 * Resultat	: long		Code d'erreur commande.
 * Parametres	:
 * Nom		Type		Role
 *
 * Description	:
 *	Point d'entree du programme "max_3" obtenu par compilation du fichier
 * "max_3.c" (gcc -o max_3 max_3.c).
 *
 * ----------------------------------------------------------------------------
 */
long main()
{
	long v1;
	long v2;
	long v3;

	aff_chaine("*******************************************************\n");
	aff_chaine("***   Maximum de trois valeurs entieres distinctes  ***\n");
	aff_chaine("*******************************************************\n");

        v1 = lire_ent();
        v2 = lire_ent();
        v3 = lire_ent();

        aff_chaine("Le maximum de ");
        aff_ent(v1); aff_chaine(", ");
        aff_ent(v2); aff_chaine(" et ");
        aff_ent(v3); aff_chaine(" est : ");

        if (v1 > v2) 
        {
           if (v1 > v3)  
             	aff_ent(v1);
           else 
		aff_ent(v3);
        }
        else 
        {
           if (v2 > v3)
             	aff_ent(v2);

           else 
             	aff_ent(v3);
       }  
       aff_chaine("\n");
       return(0);
 }
         
